/* winhelpcgi.h -- part of WinHelpCGI

   This file contains header informations to connect the pieces of the winhelpcgi CGI application

   (C)1996-2003 Herd Software Development, Kettelerstr. 35 / 68642 Buerstadt / Germany"
*/

#define ERROR_FONT "<h2><font color=\"#ff0000\">"
#define NORMAL_FONT "</h2><font color=\"#000000\"><p>\n"



#define MAX_FONTS 1000

#ifdef __netware__
#define CGI_NAME "winhelp.nlm"
#else
#define CGI_NAME "winhelpcgi.cgi"   /* Name of the executable when referencing in the generated HTML code */
#endif

const char *UrlEscape(const char *plain);


/* ----------- From wc_html.c ---------------*/
			      
void htmlputs(LPCSTR src);


/* EnumerateTopic
 *
 * Enumerates the Contents of one Topic of a Help File.
 *
 */
void EnumerateTopic(LPCSTR HlpFileName, LPCSTR HlpTopicOffset, LPCSTR HlpContextId, LPCSTR HlpInPopup);


/* ----------- From wc_kwsrch.c ---------------*/

void SearchKeyWordInAllHelpFiles(LPCSTR lpcszKeyWord);



/* ----------- From includes.c ----------------*/
void InsertInclude(LPCSTR HlpFileName, LPCSTR section, LPCSTR defaults);
BOOL ChooseLanguage(LPSTR pLanguage, int buffer_size);
